--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initialize a DescendantSet instance
- !ruby/struct:SM::Flow::P 
  body: "@param [Model] model"
- !ruby/struct:SM::Flow::VERB 
  body: "  the base model\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [DescendantSet] ancestors"
- !ruby/struct:SM::Flow::VERB 
  body: "  the ancestors to notify when a descendant is added\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::DescendantSet::new
is_singleton: true
name: new
params: (model = nil, ancestors = nil)
visibility: public
